%bcond_with check

%global forgeurl https://github.com/gismo/gismo
%global date 20230630
%global commit f3e05c394f2828ac8d9c1eeaec473193755db4a1
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%forgemeta

Name:           gismo
Version:        21.12.0
Release:        %autorelease
Summary:        A C++ library for isogeometric analysis (IGA)
License:        MPL-2.0
URL:            %{forgeurl}
Source0:        %{forgesource}

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch: %{ix86}

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build


%description
G+Smo (Geometry + Simulation Modules, pronounced "gismo") is an open-source C++
library that brings together mathematical tools for geometric design and
numerical simulation. It implements the relatively new paradigm of isogeometric
analysis, which suggests the use of a unified framework in the design and
analysis pipeline. G+Smo is an object-oriented, cross-platform, template C++
library and follows the generic programming principle, with a focus on both
efficiency and ease of use. The library aims at providing access to high
quality, open-source software to the forming isogeometric numerical simulation
community and beyond.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        examples
Summary:        Example files of %{name}

%description    examples
The %{name}-examples package contains example files of %{name}.

%prep
%forgeautosetup -p1

%build
%cmake \
    -GNinja \
    -DCMAKE_BUILD_TYPE=Release \
    -DGISMO_BUILD_UNITTESTS=OFF \
    -DGISMO_PLUGIN_AXL=OFF \
    -DGISMO_WITH_PSOLID=OFF \
    -DTARGET_ARCHITECTURE=none \
    -DCMAKE_SKIP_INSTALL_RPATH=ON \

%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license COPYRIGHT.txt
%doc README.md


%files devel
%{_includedir}/gismo/
%{_libdir}/libgismo*.so
%dir %{_datadir}/cmake/gismo
%{_libdir}/cmake/gismo/*.cmake
%dir %{_datadir}/gismo/

%files examples
%{_bindir}/*_example
%{_bindir}/constrained_fitting
%{_bindir}/gsInterpolateMap
%{_bindir}/gsMakeMultiPatch
%{_bindir}/gsPatchFromBoundary
%{_bindir}/gsView
%{_datadir}/gismodata/

%changelog
%autochangelog
